## warzone2100 3.1~rc2

=== win32/libs/dejavu/Makefile ===
PKG_NAME:=dejavu-fonts-ttf
PKG_VERSION=2.32

PKG_SOURCEBASE:=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
PKG_SOURCE_URL:= \
	@SF/dejavu \
	http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=63b1bf644cd54188a2ec43aff1846104

TARGETS:= \
	$(TOPDIR)/build/libs/etc/fonts/DejaVuSans.ttf \
	$(TOPDIR)/build/libs/etc/fonts/DejaVuSans-Bold.ttf

include $(TOPDIR)/rules.mk

extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xjf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/ttf/DejaVuSans.ttf $(PKG_SOURCEBASE)/ttf/DejaVuSans-Bold.ttf: extract-stamp

$(TOPDIR)/build/libs/etc/fonts:
	@test -d $@ || { \
	    echo mkdir -p $@ ; \
	    mkdir -p $@ || exit ; \
	}

$(TOPDIR)/build/libs/etc/fonts/%.ttf: $(PKG_SOURCEBASE)/ttf/%.ttf $(TOPDIR)/build/libs/etc/fonts
	cp -p $< $@

build: $(TARGETS)

clean:
	$(RM) -rf $(PKG_SOURCEBASE) extract-stamp

=== win32/libs/expat/Makefile ===
PKG_NAME:=expat
PKG_VERSION=2.0.1

PKG_SOURCEBASE:=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	@SF/expat \
	http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=ee8b492592568805593f81f8cdf2a04c

TARGET:=$(TOPDIR)/builds/libs/lib/libexpat.la

include $(TOPDIR)/rules.mk

extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs

$(PKG_SOURCEBASE)/libexpat.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) libexpat.la

$(TARGET): $(PKG_SOURCEBASE)/libexpat.la
	$(MAKE) -C $(PKG_SOURCEBASE) installlib

all: build
build: $(TARGET)

clean:
	$(RM) -rf $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/fontconfig/Makefile ===
PKG_NAME:=fontconfig
PKG_VERSION:=2.8.0

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://fontconfig.org/release/ \
	http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=77e15a92006ddc2adbb06f840d591c0e

TARGETS:= \
	$(TOPDIR)/build/libs/etc/fonts/fonts.conf.wd_enable \
	$(TOPDIR)/build/libs/etc/fonts/fonts.conf.wd_disable \
	$(TOPDIR)/build/libs/lib/libfontconfig.la

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs CPPFLAGS=-I`pwd`/../$(TOPDIR)/build/libs/include LDFLAGS=-L`pwd`/../$(TOPDIR)/build/libs/lib --disable-docs --with-arch=$(HOST_TRIPLET)

$(PKG_SOURCEBASE)/src/libfontconfig.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) all || $(MAKE) -C $(PKG_SOURCEBASE) all

$(TOPDIR)/build/libs/lib/libfontconfig.la: $(PKG_SOURCEBASE)/src/libfontconfig.la
	$(MAKE) -C $(PKG_SOURCEBASE) install-configDATA install-pkgconfigDATA install-exec
	$(MAKE) -C $(PKG_SOURCEBASE)/fontconfig install

$(TOPDIR)/build/libs/etc/fonts:
	@test -d $@ || { \
	    echo mkdir -p $@ ; \
	    mkdir -p $@ || exit ; \
	}

$(TOPDIR)/build/libs/etc/fonts/fonts.conf.wd_enable:  $(TOPDIR)/../pkg/nsis/fonts.conf.wd_enable  $(TOPDIR)/build/libs/etc/fonts
	cp -p $< $@

$(TOPDIR)/build/libs/etc/fonts/fonts.conf.wd_disable: $(TOPDIR)/../pkg/nsis/fonts.conf.wd_disable $(TOPDIR)/build/libs/etc/fonts
	cp -p $< $@

all: build
build: $(TARGETS)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/gettext/Makefile ===
PKG_NAME:=gettext
PKG_VERSION:=0.18.1.1

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://ftp.gnu.org/pub/gnu/gettext/ \
	http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=3dd55b952826d2b32f51308f2f91aa89

TARGET:=$(TOPDIR)/build/libs/lib/libintl.la
SHELL:=$(shell which bash)

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && "$(SHELL)" ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs --disable-java

$(PKG_SOURCEBASE)/gettext-runtime/intl/libintl.la: $(PKG_SOURCEBASE)/config.status
	env SHELL="$(SHELL)" $(MAKE) SHELL="$(SHELL)" -C $(PKG_SOURCEBASE)/gettext-runtime/intl libintl.la

$(TARGET): $(PKG_SOURCEBASE)/gettext-runtime/intl/libintl.la
	env SHELL="$(SHELL)" $(MAKE) SHELL="$(SHELL)" -C $(PKG_SOURCEBASE)/gettext-runtime/intl install-exec

all: build
build: $(TARGET)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/ogg/Makefile ===
PKG_NAME:=libogg
PKG_VERSION:=1.2.2

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://downloads.xiph.org/releases/ogg/ \
	http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=5a9fcabc9a1b7c6f1cd75ddc78f36c56

TARGETS:= \
	$(TOPDIR)/build/libs/include/ogg/ogg.h \
	$(TOPDIR)/build/libs/lib/libogg.la

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xzf $^
	@echo autoconf ; \
	cd $(PKG_SOURCEBASE) && autoconf || $(RM) -r $(PKG_SOURCEBASE)
	touch extract-stamp

$(PKG_SOURCEBASE)/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs

$(PKG_SOURCEBASE)/src/libogg.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/src libogg.la

$(PKG_SOURCEBASE)/include/ogg/ogg.h: extract-stamp

$(TOPDIR)/build/libs/include/ogg/ogg.h: $(PKG_SOURCEBASE)/include/ogg/ogg.h $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/include install

$(TOPDIR)/build/libs/lib/libogg.la: $(PKG_SOURCEBASE)/src/libogg.la
	$(MAKE) -C $(PKG_SOURCEBASE)/src install

all: build
build: $(TARGETS)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/physfs/Makefile ===
PKG_NAME:=physfs
PKG_VERSION=2.0.2

PKG_SOURCEBASE:=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://icculus.org/physfs/downloads/
PKG_MD5SUM:=4e8927c3d30279b03e2592106eb9184a

TARGET:=$(TOPDIR)/build/libs/lib/libphysfs.a

include $(TOPDIR)/rules.mk

extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xvzf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/Makefile: extract-stamp
	cd $(PKG_SOURCEBASE) && cmake -DCMAKE_TOOLCHAIN_FILE=`pwd`/../$(TOPDIR)/Toolchain-mingw32.cmake -DCMAKE_INSTALL_PREFIX=`pwd`/../$(TOPDIR)/build/libs -DPHYSFS_BUILD_SHARED=FALSE -DPHYSFS_INTERNAL_ZLIB=FALSE -DZLIB_INCLUDE_DIR=`pwd`/../$(TOPDIR)/build/libs/include -DZLIB_LIBRARY=`pwd`/../$(TOPDIR)/build/libs/lib/libz.a -DPHYSFS_BUILD_TEST=FALSE -DPHYSFS_BUILD_WX_TEST=FALSE .

$(TARGET): $(PKG_SOURCEBASE)/Makefile
	$(MAKE) -C $(PKG_SOURCEBASE) $(MAKE_FLAGS) install

all: build
build: $(TARGET)

clean:
	$(MAKE) -C $(PKG_SOURCEBASE) clean

.PHONY: all build clean

=== win32/libs/quesoglc/Makefile ===
PKG_NAME:=quesoglc
PKG_VERSION:=0.7.3~svn913

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
        @SF/warzone2100 \
        http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=b009f87f5cc2e79106cf1bf8ca45418d

TARGETS:= \
	$(TOPDIR)/build/libs/lib/libGLC.la \
	$(TOPDIR)/build/libs/include/GL/glc.h \
	$(TOPDIR)/build/libs/lib/pkgconfig/quesoglc.pc

include $(TOPDIR)/rules.mk

extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/configure.in: patch-stamp

patch-stamp: extract-stamp
	@for patch in patches/*.diff; do \
		echo sed -e "s/\$$sourcebase\b/$(PKG_SOURCEBASE)/g" -e "s/\$$host_triplet\b/$(HOST_TRIPLET)/g" "$$patch" \| patch -p0; \
		sed -e "s/\$$sourcebase\b/$(PKG_SOURCEBASE)/g" -e "s/\$$host_triplet\b/$(HOST_TRIPLET)/g" "$$patch" | patch -p0 || exit ; \
	done
	touch patch-stamp

$(PKG_SOURCEBASE)/configure: $(PKG_SOURCEBASE)/configure.in patch-stamp
	cd $(PKG_SOURCEBASE) && ./bootstrap

$(PKG_SOURCEBASE)/config.status: $(PKG_SOURCEBASE)/configure
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs CPPFLAGS="-I`pwd`/../$(TOPDIR)/build/libs/include -DGLEW_STATIC" LDFLAGS=-L`pwd`/../$(TOPDIR)/build/libs/lib PKG_CONFIG_PATH=`pwd`/../$(TOPDIR)/build/libs/lib/pkgconfig --disable-executables --without-x --without-fribidi --without-glew --disable-tls ac_cv_func_malloc_0_nonnull=yes ac_cv_func_realloc_0_nonnull=yes

$(PKG_SOURCEBASE)/build/libGLC.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/build libGLC.la

$(TOPDIR)/build/libs/lib/libGLC.la: $(PKG_SOURCEBASE)/build/libGLC.la
	$(MAKE) -C $(PKG_SOURCEBASE)/build install-libLTLIBRARIES

$(PKG_SOURCEBASE)/quesoglc.pc: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) quesoglc.pc && sed -i -e "s/,\s*$$//" $(PKG_SOURCEBASE)/quesoglc.pc # Remove extraneous comma (autoconfigure artifact)

$(TOPDIR)/build/libs/lib/pkgconfig/quesoglc.pc: $(PKG_SOURCEBASE)/quesoglc.pc
	$(MAKE) -C $(PKG_SOURCEBASE) install-pkgconfigDATA

$(PKG_SOURCEBASE)/include/GL/glc.h: extract-stamp

$(TOPDIR)/build/libs/include/GL/glc.h: $(PKG_SOURCEBASE)/include/GL/glc.h $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/include install-nobase_includeHEADERS

all: build
build: $(TARGETS)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp patch-stamp

.PHONY: all build clean

=== debian/changelog ===
warzone2100 (3.1~rc2-1ubuntu3) trusty; urgency=low

  * Use autotools-dev helper for newer arches, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 20 Mar 2014 13:15:07 -0400

warzone2100 (3.1~rc2-1ubuntu2) trusty; urgency=medium

  * Rebuild against glew 1.10.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Jan 2014 00:57:09 +0000

warzone2100 (3.1~rc2-1ubuntu1) quantal; urgency=low

  * Resynchronize with Debian.
    - New upstream bugfix release. See http://www.wz2100.net/news/9893
      for more details.
  * Remaining change:
    - d/patches/miniupnpc8-compat.patch: Port usage of miniupnpc API 
      to version 1.6.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 09 Sep 2012 16:07:03 -0400

warzone2100 (3.1~rc2-1) experimental; urgency=low

  * New upstream release candidate
    - Includes FTBFS patch, drop it

 -- Paul Wise <pabs@debian.org>  Fri, 24 Aug 2012 09:08:30 +0800

=== debian/control ===
Source: warzone2100
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Paul Wise <pabs@debian.org>,
 Christoph Egger <christoph@debian.org>
Build-Depends:
 asciidoc,
 autotools-dev,
 bison,
 debhelper (>= 9),
 dh-autoreconf,
 docbook-xml,
 docbook-xsl,
 dpkg-dev (>= 1.13.19),
 flex (>= 2.5.33~),
 flex (>= 2.5.35~) | flex (<< 2.5.34~),
 libfontconfig-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libglc-dev,
 libglew-dev,
 libminiupnpc-dev,
 libopenal-dev,
 libphysfs-dev,
 libpng-dev,
 libpopt-dev,
 libqt4-dev,
 libsdl1.2-dev,
 libtheora-dev,
 libvorbis-dev,
 libxml2-utils,
 libxrandr-dev,
 pkg-config,
 unzip,
 wkhtmltopdf,
 xauth,
 xsltproc,
 xvfb,
 zip
Standards-Version: 3.9.3
Homepage: http://www.wz2100.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/warzone2100/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/warzone2100/

Package: warzone2100
Architecture: any
Depends:
 warzone2100-data (<= ${source:Version}),
 warzone2100-data (>= ${source:Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 warzone2100-music (<= ${source:Version}),
 warzone2100-music (>= ${source:Upstream-Version})
Description: 3D real time strategy game
 In Warzone 2100 you command the forces of “The Project” in a battle to
 rebuild the world after mankind has almost been destroyed by nuclear
 missiles.
 .
 The game offers campaign, tutorial, multi-player and single-player skirmish
 modes.
 .
 An extensive tech tree with over 400 different technologies, combined with
 the unit design system, allows for a wide variety of possible units and
 tactics.
 .
 Warzone 2100 was created by Pumpkin Studios, published by Eidos Interactive
 and is currently developed by the Warzone 2100 Project.
 .
 The campaign video sequences are not yet distributed here, please see the
 Warzone 2100 website for details on downloading and installing them.

Package: warzone2100-data
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 warzone2100
Description: data files for warzone2100
 This package contains data, docs and translations for the warzone2100 game.
 .
 It contains the campaign and multiplayer data, several mods (including
 a more advanced AI, different terrain textures, new maps and scavengers)
 and documentation for the game.

Package: warzone2100-dbg
Section: debug
Architecture: any
Priority: extra
Depends:
 warzone2100 (= ${binary:Version}),
 ${misc:Depends}
Description: debug files for warzone2100
 This package contains debug information for the warzone2100 game.
 .
 It can be used to debug warzone2100 using GDB if the game crashes
 due to programming errors. warzone2100 also generates crash dumps
 and places them in the /tmp directory.

Package: warzone2100-music
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 warzone2100
Description: official music for warzone2100
 This package contains official music for the warzone2100 game.
 .
 It contains the background music for the menu and during the game,
 which varies between abstract, atmospheric and post-apocalyptic beats,
 a perfect soundscape for a heated battle with the enemy.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --with autotools_dev,autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	# Remove embedded code copies so we never use them
	rm -rf 3rdparty
	# Remove generated files so we regenerate them
	rm -f doc/warzone2100.6 doc/quickstartguide.html doc/quickstartguide.pdf
	dh_auto_configure -- \
	    --bindir=\$${prefix}/games \
	    --datadir=\$${prefix}/share/games \
	    --with-icondir=\$${prefix}/share/icons/hicolor/128x128/apps \
	    --with-applicationdir=\$${prefix}/share/applications \
	    --with-distributor="$(shell dpkg-vendor --query vendor)" \
	    --disable-debug

override_dh_auto_build:
	# The HTML to PDF converter needs an X server
	# The default bit depth is too low for the images in the PDF
	xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm -f debian/*/usr/share/doc/warzone2100/COPYING*
	rm -f debian/*/usr/share/doc/warzone2100/ChangeLog*
	rm -f debian/*/usr/share/doc/warzone2100/Readme*

override_dh_strip:
	dh_strip --dbg-package=warzone2100-dbg

override_dh_compress:
	dh_compress -X.pdf

## warzone2100 3.1.1

=== win32/libs/Makefile ===
SUBDIRS=dejavu devpkg gettext glew zlib physfs iconv ogg png vorbis theora qt4

all: all-recursive
build: build-recursive
clean: clean-recursive

all-recursive:
	@list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo $(MAKE) -C $$subdir TOPDIR=../.. -$(MAKEFLAGS) all ; \
	  $(MAKE) -C $$subdir TOPDIR=../.. -$(MAKEFLAGS) all || exit; \
	done

build-recursive:
	@list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo $(MAKE) -C $$subdir TOPDIR=../.. -$(MAKEFLAGS) build ; \
	  $(MAKE) -C $$subdir TOPDIR=../.. -$(MAKEFLAGS) build || exit; \
	done

clean-recursive:
	@list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo $(MAKE) -C $$subdir TOPDIR=../.. -$(MAKEFLAGS) clean ; \
	  $(MAKE) -C $$subdir TOPDIR=../.. -$(MAKEFLAGS) clean || exit; \
	done

.PHONY: all build clean all-recursive build-recursive clean-recursive

=== win32/libs/devpkg/Makefile ===
PKG_NAME:=devpkg_tarbomb
PKG_VERSION:=2.3

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
PKG_SOURCE_URL:= \
	http://download.gna.org/warzone/development/devpkg/ \
	http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=6a3a37022ffc3c0a573ad2d6c4766b6d

include $(TOPDIR)/rules.mk

extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	@test -d $(TOPDIR)/build/libs || { \
	    echo mkdir -p $(TOPDIR)/build/libs ; \
	    mkdir -p $(TOPDIR)/build/libs || exit ; \
	}
	tar -x --keep-newer-files -j -C $(TOPDIR)/build/libs -f $^
	touch extract-stamp

all: build
build: extract-stamp

clean:
	$(RM) extract-stamp

.PHONY: all build clean

=== win32/libs/freetype2/Makefile ===
PKG_NAME:=freetype
PKG_VERSION=2.4.4

PKG_SOURCEBASE:=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
PKG_SOURCE_URL:= \
	@SF/freetype \
	http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=b3e2b6e2f1c3e0dffa1fd2a0f848b671

TARGET:=$(TOPDIR)/build/libs/lib/libfreetype.la

include $(TOPDIR)/rules.mk

extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xjf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/builds/unix/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs

$(TARGET): $(PKG_SOURCEBASE)/builds/unix/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) install

all: build
build: $(TARGET)

clean:
	$(RM) -rf $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/iconv/Makefile ===
PKG_NAME:=libiconv
PKG_VERSION:=1.13.1

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://ftp.gnu.org/pub/gnu/libiconv/ \
	http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=7ab33ebd26687c744a37264a330bbe9a

TARGET:=$(TOPDIR)/build/libs/lib/libiconv.la

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs

$(PKG_SOURCEBASE)/lib/libiconv.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)

$(TARGET): $(PKG_SOURCEBASE)/lib/libiconv.la
	$(MAKE) -C $(PKG_SOURCEBASE) install-lib

all: build
build: $(TARGET)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/png/Makefile ===
PKG_NAME:=libpng
PKG_VERSION=1.4.5

PKG_SOURCEBASE:=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
PKG_SOURCE_URL:= \
	@SF/libpng \
	http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=d500e117e4a08d5ca3bd51dca0a0bc5f

TARGET:=$(TOPDIR)/build/libs/lib/libpng14.la

include $(TOPDIR)/rules.mk

extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xjf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/configure: extract-stamp

$(PKG_SOURCEBASE)/config.status: $(PKG_SOURCEBASE)/configure
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --prefix=`pwd`/../$(TOPDIR)/build/libs --disable-shared --enable-static CPPFLAGS=-I`pwd`/../$(TOPDIR)/build/libs/include LDFLAGS=-L`pwd`/../$(TOPDIR)/build/libs/lib

$(PKG_SOURCEBASE)/libpng14.la: extract-stamp $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) libpng14.la

$(TARGET): $(PKG_SOURCEBASE)/libpng14.la
	$(MAKE) -C $(PKG_SOURCEBASE) install

build: $(TARGET)

clean:
	$(RM) -rf $(PKG_SOURCEBASE) extract-stamp

=== win32/libs/sdl/Makefile ===
PKG_NAME:=SDL
PKG_VERSION:=1.2.14

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://www.libsdl.org/release/ \
	http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=e52086d1b508fa0b76c52ee30b55bec4

TARGETS:= \
	$(TOPDIR)/build/libs/include/SDL/SDL.h \
	$(TOPDIR)/build/libs/lib/pkgconfig/sdl.pc \
	$(TOPDIR)/build/libs/lib/libSDL.la

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

patch-stamp: extract-stamp
	@for patch in patches/*.diff; do \
	    echo sed -e "s/\$$sourcebase\b/$(PKG_SOURCEBASE)/g" -e "s/\$$host_triplet\b/$(HOST_TRIPLET)/g" "$$patch" \| patch -p0 ; \
	    sed -e "s/\$$sourcebase\b/$(PKG_SOURCEBASE)/g" -e "s/\$$host_triplet\b/$(HOST_TRIPLET)/g" "$$patch" | patch -p0 || exit ; \
	done
	touch patch-stamp

$(PKG_SOURCEBASE)/config.status: patch-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs --disable-audio --disable-cdrom

$(PKG_SOURCEBASE)/build/libSDL.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) build

$(PKG_SOURCEBASE)/include/SDL.h $(PKG_SOURCEBASE)/sdl.pc: extract-stamp

$(TOPDIR)/build/libs/include/SDL/SDL.h: $(PKG_SOURCEBASE)/include/SDL.h $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) install-hdrs

$(TOPDIR)/build/libs/lib/pkgconfig/sdl.pc: $(PKG_SOURCEBASE)/sdl.pc $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE) install-data

$(TOPDIR)/build/libs/lib/libSDL.la: $(PKG_SOURCEBASE)/build/libSDL.la
	$(MAKE) -C $(PKG_SOURCEBASE) install-lib

all: build
build: $(TARGETS)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp patch-stamp

.PHONY: all build clean

=== win32/libs/theora/Makefile ===
PKG_NAME:=libtheora
PKG_VERSION:=1.1.1

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.bz2
PKG_SOURCE_URL:= \
	http://downloads.xiph.org/releases/theora/ \
	http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=292ab65cedd5021d6b7ddd117e07cd8e

TARGETS:= \
	$(TOPDIR)/build/libs/include/theora/theora.h \
	$(TOPDIR)/build/libs/lib/libtheora.la

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xjf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs CPPFLAGS=-I`pwd`/../$(TOPDIR)/build/libs/include LDFLAGS=-L`pwd`/../$(TOPDIR)/build/libs/lib --disable-oggtest --disable-vorbistest --disable-sdltest --disable-examples --disable-encode --disable-spec HAVE_DOXYGEN=false

$(PKG_SOURCEBASE)/lib/libtheora.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/lib libtheora.la

$(PKG_SOURCEBASE)/include/theora/theora.h: extract-stamp

$(TOPDIR)/build/libs/include/theora/theora.h: $(PKG_SOURCEBASE)/include/theora/theora.h $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/include install

$(TOPDIR)/build/libs/lib/libtheora.la: $(PKG_SOURCEBASE)/lib/libtheora.la
	$(MAKE) -C $(PKG_SOURCEBASE)/lib install

all: build
build: $(TARGETS)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/vorbis/Makefile ===
PKG_NAME:=libvorbis
PKG_VERSION:=1.3.2

PKG_SOURCEBASE=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	http://downloads.xiph.org/releases/vorbis/ \
	http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=c870b9bd5858a0ecb5275c14486d9554

TARGETS:= \
	$(TOPDIR)/build/libs/include/vorbis/vorbisfile.h \
	$(TOPDIR)/build/libs/lib/libvorbisfile.la

include $(TOPDIR)/rules.mk

$(PKG_SOURCEBASE) extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xzf $^
	touch extract-stamp

$(PKG_SOURCEBASE)/config.status: extract-stamp
	cd $(PKG_SOURCEBASE) && ./configure --host=$(HOST_TRIPLET) --enable-static --disable-shared --prefix=`pwd`/../$(TOPDIR)/build/libs CPPFLAGS=-I`pwd`/../$(TOPDIR)/build/libs/include LDFLAGS=-L`pwd`/../$(TOPDIR)/build/libs/lib --disable-oggtest --disable-docs

$(PKG_SOURCEBASE)/lib/libvorbisfile.la: $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/lib libvorbisfile.la

$(PKG_SOURCEBASE)/include/vorbis/vorbisfile.h: extract-stamp

$(TOPDIR)/build/libs/include/vorbis/vorbisfile.h: $(PKG_SOURCEBASE)/include/vorbis/vorbisfile.h $(PKG_SOURCEBASE)/config.status
	$(MAKE) -C $(PKG_SOURCEBASE)/include install

$(TOPDIR)/build/libs/lib/libvorbisfile.la: $(PKG_SOURCEBASE)/lib/libvorbisfile.la
	$(MAKE) -C $(PKG_SOURCEBASE)/lib install

all: build
build: $(TARGETS)

clean:
	$(RM) -r $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== win32/libs/zlib/Makefile ===
PKG_NAME:=zlib
PKG_VERSION=1.2.5

PKG_SOURCEBASE:=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE:=$(PKG_SOURCEBASE).tar.gz
PKG_SOURCE_URL:= \
	@SF/libpng \
	http://wzhost.wz2100.net/~buildbot/dev/
PKG_MD5SUM:=c735eab2d659a96e5a594c9e8541ad63

TARGETS:=$(TOPDIR)/build/libs/lib/libz.a $(TOPDIR)/build/libs/include/zconf.h $(TOPDIR)/build/libs/include/zlib.h

include $(TOPDIR)/rules.mk

extract-stamp: $(DOWNLOADS)/$(PKG_SOURCE)
	tar xzf $^
	rm $(PKG_SOURCEBASE)/Makefile
	touch extract-stamp

$(PKG_SOURCEBASE)/configure: extract-stamp

$(PKG_SOURCEBASE)/Makefile: $(PKG_SOURCEBASE)/configure
	cd $(PKG_SOURCEBASE) && CC=$(HOST_TRIPLET)-gcc RANLIB=$(HOST_TRIPLET)-ranlib AR='$(HOST_TRIPLET)-ar' ./configure

$(PKG_SOURCEBASE)/libz.a: extract-stamp $(PKG_SOURCEBASE)/Makefile
	$(MAKE) -C $(PKG_SOURCEBASE) libz.a

$(PKG_SOURCEBASE)/zconf.h: $(PKG_SOURCEBASE)/Makefile
$(PKG_SOURCEBASE)/zlib.h: extract-stamp

$(TOPDIR)/build/libs/lib/libz.a: $(PKG_SOURCEBASE)/libz.a
	cp -p $< $@

$(TOPDIR)/build/libs/include/zconf.h: $(PKG_SOURCEBASE)/zconf.h
	cp -p $< $@

$(TOPDIR)/build/libs/include/zlib.h: $(PKG_SOURCEBASE)/zlib.h
	cp -p $< $@

all: build
build: $(TARGETS)

clean:
	$(RM) -rf $(PKG_SOURCEBASE) extract-stamp

.PHONY: all build clean

=== debian/changelog ===
warzone2100 (3.1.1-3) unstable; urgency=medium

  * Team upload.
  * Rebase fix-yacc patch.
  * Add redefinition-FTBFS.patch
    Adjust lexer files to prevent a FTBFS with newer flex versions.
    (Closes: #818072)
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Browser: Use https.
  * debian/control: Change Recommends: warzone2100 to Suggests.
  * Drop debug package and use the automatically provided -dbgsym package
    instead.
  * Fix Lintian warnings space-in-std-shortname-in-dep5-copyright,
    unused-file-paragraph-in-dep5-copyright and
    wildcard-matches-nothing-in-dep5-copyright in debian/copyright.

 -- Markus Koschany <apo@debian.org>  Sun, 01 May 2016 16:31:18 +0200

warzone2100 (3.1.1-2) unstable; urgency=medium

  * Fix FTBFS with GLEW 1.12 using upstream patch (Closes: #790857)

 -- Paul Wise <pabs@debian.org>  Thu, 01 Oct 2015 12:51:07 +0200

warzone2100 (3.1.1-1) unstable; urgency=low

  [ Paul Wise ]
  * New upstream release (Closes: #714687)
  * Bump Standards-Version, no changes needed
  * Ancient dpkg-dev dep is satisfied in all Debian/Ubuntu releases, drop it
  * Delete more generated files so that they get rebuilt
  * Add some DEP-3 headers to the patches
  * Build the Debian menu XPM files from upstream icons
  * Move to unstable

  [ Clint Adams ]
  * Build-depend on automake1.11.
  * Patch to build with newer bison and such.

 -- Paul Wise <pabs@debian.org>  Sun, 26 Oct 2014 10:11:40 +0800

warzone2100 (3.1~beta11-3) unstable; urgency=medium

  * Allow building with newer miniupnpc (Closes: #751229)

 -- Paul Wise <pabs@debian.org>  Mon, 07 Jul 2014 12:52:37 +0800

warzone2100 (3.1~beta11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/miniupnpc8-compat.patch: Apply patch from James Page
    to fix compilation against miniupnpc 1.6. (Closes: #651309)
  * debian/control: Bump B-D on libminiupnpc-dev to >= 1.6 since the patch
    makes it incompatible with older versions.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 15 Jan 2014 22:18:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: warzone2100
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Paul Wise <pabs@debian.org>,
  Christoph Egger <christoph@debian.org>
 Build-Depends:
  asciidoc,
+ automake1.11,
  autotools-dev,
  bison,
  debhelper (>= 9),
  dh-autoreconf,
  docbook-xml,
  docbook-xsl,
- dpkg-dev (>= 1.13.19),
  flex (>= 2.5.33~),
  flex (>= 2.5.35~) | flex (<< 2.5.34~),
+ icoutils,
+ imagemagick,
  libfontconfig-dev,
  libfreetype6-dev,
  libfribidi-dev,
@@ -40,10 +41,10 @@
  xsltproc,
  xvfb,
  zip
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Homepage: http://www.wz2100.net/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/warzone2100/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/warzone2100/
+Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/warzone2100/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/warzone2100/
 
 Package: warzone2100
 Architecture: any
@@ -77,7 +78,7 @@
 Architecture: all
 Depends:
  ${misc:Depends}
-Recommends:
+Suggests:
  warzone2100
 Description: data files for warzone2100
  This package contains data, docs and translations for the warzone2100 game.
@@ -86,25 +87,11 @@
  a more advanced AI, different terrain textures, new maps and scavengers)
  and documentation for the game.
 
-Package: warzone2100-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends:
- warzone2100 (= ${binary:Version}),
- ${misc:Depends}
-Description: debug files for warzone2100
- This package contains debug information for the warzone2100 game.
- .
- It can be used to debug warzone2100 using GDB if the game crashes
- due to programming errors. warzone2100 also generates crash dumps
- and places them in the /tmp directory.
-
 Package: warzone2100-music
 Architecture: all
 Depends:
  ${misc:Depends}
-Recommends:
+Suggests:
  warzone2100
 Description: official music for warzone2100
  This package contains official music for the warzone2100 game.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	# Remove embedded code copies so we never use them
	rm -rf 3rdparty
	# Remove generated files so we regenerate them
	rm -f doc/warzone2100.6 \
	doc/quickstartguide.html \
	doc/quickstartguide.pdf \
	src/scriptvals_lexer.cpp \
	src/scriptvals_parser.cpp \
	src/scriptvals_parser.h \
	src/level_lexer.cpp \
	lib/framework/resource_lexer.cpp \
	lib/framework/resource_parser.cpp \
	lib/framework/resource_parser.h \
	lib/script/script_lexer.cpp \
	lib/script/script_parser.cpp \
	lib/script/script_parser.h \
	lib/script/chat_lexer.cpp \
	lib/script/chat_parser.cpp \
	lib/script/chat_parser.h \
	lib/gamelib/audp_lexer.cpp \
	lib/gamelib/audp_parser.cpp \
	lib/gamelib/audp_parser.h \
	lib/framework/strres_lexer.cpp \
	lib/framework/strres_parser.cpp \
	lib/framework/strres_parser.h
	dh_auto_configure -- \
	    --bindir=\$${prefix}/games \
	    --datadir=\$${prefix}/share/games \
	    --with-icondir=\$${prefix}/share/icons/hicolor/128x128/apps \
	    --with-applicationdir=\$${prefix}/share/applications \
	    --with-distributor="$(shell dpkg-vendor --query vendor)" \
	    --disable-debug

override_dh_auto_build:
	make -C lib/framework strres_parser.h
	make -C lib/gamelib audp_parser.h
	make -C lib/script chat_parser.h
	make -C lib/script script_parser.h
	make -C lib/framework resource_parser.h
	make -C src scriptvals_parser.h
	# The HTML to PDF converter needs an X server
	# The default bit depth is too low for the images in the PDF
	xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" dh_auto_build
	icotool -x icons/warzone2100.ico
	convert warzone2100_*_16x16x32.png warzone2100-16x16.xpm
	convert warzone2100_*_32x32x32.png warzone2100-32x32.xpm
	rm -f warzone2100_*_*x*x*.png

override_dh_auto_install:
	dh_auto_install
	rm -f debian/*/usr/share/doc/warzone2100/COPYING*
	rm -f debian/*/usr/share/doc/warzone2100/ChangeLog*
	rm -f debian/*/usr/share/doc/warzone2100/Readme*

override_dh_compress:
	dh_compress -X.pdf

## warzone2100 3.1.3

=== debian/changelog ===
warzone2100 (3.1.3-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Thu, 28 Jan 2016 16:57:45 -0800

warzone2100 (3.1.3-1~getdeb1) trusty; urgency=medium

  * New upstream version
     * General:
       * Change: Ping only displayed for multiplayer games
       * Change: Rank display removed for now
       * Change: Better placement of IP dialog
       * Change: Remove hack to support some old systems that breaks with
       GLEW 1.12
       * Change/fix: Change --savegame command line option into two new
       options that actually work
       * Change: Config dir is now named after the release's version number
       inside the main 3.1 directory.
       * Fix: Crash in campaign
       * Fix: Update included miniUPNP to version 1.219
       * Fix: 'kill' command for SP games
       * Fix: 'Assigned to Commander' voice over issue
       * Fix: Fix assert failure when Nexus AI tries to build a sensor tower
       * Fix: Check if received templates are valid when received
       * Fix: Many potential issues found with static analysis tools closed

     * Translations:
       * Update: Chinese
       * Update: German
       * Update: French
       * Update: Hungarian

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 25 Jan 2016 20:54:03 +0100

warzone2100 (3.1.2-1~getdeb1) trusty; urgency=medium

  * New upstream version (LP: #1406637)

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 02 Jan 2015 22:50:22 +0100

warzone2100 (3.1.1-1~getdeb2~trusty) trusty; urgency=low

  * Rebuild for trusty

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Apr 2014 22:38:08 +0200

warzone2100 (3.1.1-1~getdeb1) saucy; urgency=low

  * New upstream version (LP: #1265933)

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 04 Jan 2014 00:43:34 +0100

=== debian/control ===
Source: warzone2100
Section: games
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Paul Wise <pabs@debian.org>,
 Christoph Egger <christoph@debian.org>
Build-Depends: asciidoc,
               autotools-dev,
               bison,
               debhelper (>= 9),
               dh-autoreconf,
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.13.19),
               flex (>= 2.5.33~),
               flex (>= 2.5.35~) | flex (<< 2.5.34~),
               libfontconfig-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libglc-dev,
               libglew-dev,
               libminiupnpc-dev,
               libopenal-dev,
               libphysfs-dev,
               libpng-dev,
               libpopt-dev,
               libqt4-dev,
               libsdl1.2-dev,
               libtheora-dev,
               libvorbis-dev,
               libxml2-utils,
               libxrandr-dev,
               pkg-config,
               unzip,
               wkhtmltopdf,
               xauth,
               xsltproc,
               xvfb,
               zip
Standards-Version: 3.9.5
Homepage: http://www.wz2100.net/

Package: warzone2100
Architecture: any
Depends: warzone2100-data (<= ${source:Version}),
         warzone2100-data (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: warzone2100-music (<= ${source:Version}),
            warzone2100-music (>= ${source:Upstream-Version}),
            warzone2100-video
Description: 3D real time strategy game
 In Warzone 2100 you command the forces of “The Project” in a battle to
 rebuild the world after mankind has almost been destroyed by nuclear
 missiles.
 .
 The game offers campaign, tutorial, multi-player and single-player skirmish
 modes.
 .
 An extensive tech tree with over 400 different technologies, combined with
 the unit design system, allows for a wide variety of possible units and
 tactics.
 .
 Warzone 2100 was created by Pumpkin Studios, published by Eidos Interactive
 and is currently developed by the Warzone 2100 Project.
 .
 The campaign video sequences are not yet distributed here, please see the
 Warzone 2100 website for details on downloading and installing them.

Package: warzone2100-data
Architecture: all
Depends: ${misc:Depends}
Recommends: warzone2100
Description: data files for warzone2100
 This package contains data, docs and translations for the warzone2100 game.
 .
 It contains the campaign and multiplayer data, several mods (including
 a more advanced AI, different terrain textures, new maps and scavengers)
 and documentation for the game.

Package: warzone2100-dbg
Section: debug
Architecture: any
Priority: extra
Depends: warzone2100 (= ${binary:Version}),
         ${misc:Depends}
Description: debug files for warzone2100
 This package contains debug information for the warzone2100 game.
 .
 It can be used to debug warzone2100 using GDB if the game crashes
 due to programming errors. warzone2100 also generates crash dumps
 and places them in the /tmp directory.

Package: warzone2100-music
Architecture: all
Depends: ${misc:Depends}
Recommends: warzone2100
Description: official music for warzone2100
 This package contains official music for the warzone2100 game.
 .
 It contains the background music for the menu and during the game,
 which varies between abstract, atmospheric and post-apocalyptic beats,
 a perfect soundscape for a heated battle with the enemy.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	# Remove embedded code copies so we never use them
	rm -rf 3rdparty/SDL 3rdparty/quesoglc
	# Remove generated files so we regenerate them
	rm -f doc/warzone2100.6 doc/quickstartguide.html doc/quickstartguide.pdf
	dh_auto_configure -- \
	    --bindir=\$${prefix}/games \
	    --datadir=\$${prefix}/share/games \
	    --with-icondir=\$${prefix}/share/icons/hicolor/128x128/apps \
	    --with-applicationdir=\$${prefix}/share/applications \
	    --with-distributor="$(shell dpkg-vendor --query vendor)" \
	    --disable-debug

override_dh_auto_build:
	# The HTML to PDF converter needs an X server
	# The default bit depth is too low for the images in the PDF
	xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm -f debian/*/usr/share/doc/warzone2100/COPYING*
	rm -f debian/*/usr/share/doc/warzone2100/ChangeLog*
	rm -f debian/*/usr/share/doc/warzone2100/Readme*

override_dh_strip:
	dh_strip --dbg-package=warzone2100-dbg

override_dh_compress:
	dh_compress -X.pdf

## warzone2100 3.2.1

=== pkg/dpkg/videos/Makefile ===
SEQS=sequences.wz
DESTDIR=debian/warzone2100-video

install: $(SEQS)
	install -m 0644 -D $(SEQS) ${DESTDIR}/usr/share/games/warzone2100/$(SEQS)

=== debian/changelog ===
warzone2100 (3.2.1-2) unstable; urgency=medium

  * Team upload.
  * Add openssl-1.1.patch and fix FTBFS with OpenSSL 1.1. (Closes: #844870)
  * Fix Lintian warning space-in-std-shortname-in-dep5-copyright.
  * Really use compat level 10.

 -- Markus Koschany <apo@debian.org>  Mon, 28 Nov 2016 20:51:47 +0100

warzone2100 (3.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Russell Coker ]
  * New upstream version 3.2.1. (Closes: #814248)
  * Build-depend on qtbase5-dev qtscript5-dev libsdl2-dev instead of
    libqt4-dev.
  * Patch for too many parameters for upnpDiscover() to fix a FTBFS.
  * Change patches to apply to latest upstream.
  * Update revert-372eff6693e633e8d0d1d0b8a9ceb996a5c3f49f.patch and call
    automake1.11 directly. (Closes: #824011)

  [ Markus Koschany ]
  * Add missing libssl-dev to Build-Depends.
  * Disable the tests by overriding dh_auto_test and work around a FTBFS.
  * Use compat level 10.
  * d/rules: Pass --with-appdatadir option to dh_auto_configure.
  * Add appdata.patch and install the missing appdata file.
  * Remove libsdl1.2-dev from B-D.
  * Use embedded version of glm to build the game because Debian's version
    causes graphical glitches (rotating units). It also does not provide a
    shared library which might cause further work in the future.
  * Update debian/copyright for new release.
  * Update debian/clean and ensure that the package can be built twice in a
    row.
  * Remove wkhtmltopdf from Build-Depends and add quickstartguide.patch for now
    because building the pdf documentation from source is causing a FTBFS at the
    moment.
  * d/rules: Replace --disable-debug with --enable-debug=no. The former option
    did nothing.

 -- Markus Koschany <apo@debian.org>  Tue, 20 Sep 2016 20:34:59 +0200

=== debian/control ===
Source: warzone2100
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Paul Wise <pabs@debian.org>,
 Christoph Egger <christoph@debian.org>
Build-Depends:
 asciidoc,
 automake1.11,
 autotools-dev,
 bison,
 debhelper (>= 10),
 dh-autoreconf,
 docbook-xml,
 docbook-xsl,
 flex (>= 2.5.33~),
 flex (>= 2.5.35~) | flex (<< 2.5.34~),
 icoutils,
 imagemagick,
 libfontconfig-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libglc-dev,
 libglew-dev,
 libminiupnpc-dev,
 libopenal-dev,
 libphysfs-dev,
 libpng-dev,
 libpopt-dev,
 qtbase5-dev,
 qtscript5-dev,
 libsdl2-dev,
 libssl-dev,
 libtheora-dev,
 libvorbis-dev,
 libxml2-utils,
 libxrandr-dev,
 pkg-config,
 unzip,
 xauth,
 xsltproc,
 xvfb,
 zip
Standards-Version: 3.9.8
Homepage: http://www.wz2100.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/warzone2100/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/warzone2100/

Package: warzone2100
Architecture: any
Depends:
 warzone2100-data (<= ${source:Version}),
 warzone2100-data (>= ${source:Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 warzone2100-music (<= ${source:Version}),
 warzone2100-music (>= ${source:Upstream-Version})
Description: 3D real time strategy game
 In Warzone 2100 you command the forces of “The Project” in a battle to
 rebuild the world after mankind has almost been destroyed by nuclear
 missiles.
 .
 The game offers campaign, tutorial, multi-player and single-player skirmish
 modes.
 .
 An extensive tech tree with over 400 different technologies, combined with
 the unit design system, allows for a wide variety of possible units and
 tactics.
 .
 Warzone 2100 was created by Pumpkin Studios, published by Eidos Interactive
 and is currently developed by the Warzone 2100 Project.
 .
 The campaign video sequences are not yet distributed here, please see the
 Warzone 2100 website for details on downloading and installing them.

Package: warzone2100-data
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 warzone2100
Description: data files for warzone2100
 This package contains data, docs and translations for the warzone2100 game.
 .
 It contains the campaign and multiplayer data, several mods (including
 a more advanced AI, different terrain textures, new maps and scavengers)
 and documentation for the game.

Package: warzone2100-music
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 warzone2100
Description: official music for warzone2100
 This package contains official music for the warzone2100 game.
 .
 It contains the background music for the menu and during the game,
 which varies between abstract, atmospheric and post-apocalyptic beats,
 a perfect soundscape for a heated battle with the enemy.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	# Remove embedded code copies so we never use them
	rm -rf 3rdparty/miniupnpc
	rm -rf 3rdparty/SDL
	rm -rf 3rdparty/quesoglc
	# Remove generated files so we regenerate them
	rm -f doc/warzone2100.6 \
	src/scriptvals_lexer.cpp \
	src/scriptvals_parser.cpp \
	src/scriptvals_parser.h \
	src/level_lexer.cpp \
	lib/framework/resource_lexer.cpp \
	lib/framework/resource_parser.cpp \
	lib/framework/resource_parser.h \
	lib/script/script_lexer.cpp \
	lib/script/script_parser.cpp \
	lib/script/script_parser.h \
	lib/script/chat_lexer.cpp \
	lib/script/chat_parser.cpp \
	lib/script/chat_parser.h \
	lib/gamelib/audp_lexer.cpp \
	lib/gamelib/audp_parser.cpp \
	lib/gamelib/audp_parser.h \
	lib/framework/strres_lexer.cpp \
	lib/framework/strres_parser.cpp \
	lib/framework/strres_parser.h
	dh_auto_configure -- \
		--bindir=\$${prefix}/games \
		--datadir=\$${prefix}/share/games \
		--with-icondir=\$${prefix}/share/icons/hicolor/128x128/apps \
		--with-applicationdir=\$${prefix}/share/applications \
		--with-distributor="$(shell dpkg-vendor --query vendor)" \
		--with-appdatadir=\$${prefix}/share/appdata \
		--enable-debug=no

override_dh_auto_build:
	make -C lib/framework strres_parser.h
	make -C lib/gamelib audp_parser.h
	make -C lib/script chat_parser.h
	make -C lib/script script_parser.h
	make -C lib/framework resource_parser.h
	make -C src scriptvals_parser.h
	# The HTML to PDF converter needs an X server
	# The default bit depth is too low for the images in the PDF
	xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" dh_auto_build
	icotool -x icons/warzone2100.ico
	convert warzone2100_*_16x16x32.png warzone2100-16x16.xpm
	convert warzone2100_*_32x32x32.png warzone2100-32x32.xpm
	rm -f warzone2100_*_*x*x*.png

override_dh_auto_install:
	dh_auto_install
	rm -f debian/*/usr/share/doc/warzone2100/COPYING*
	rm -f debian/*/usr/share/doc/warzone2100/ChangeLog*
	rm -f debian/*/usr/share/doc/warzone2100/Readme*

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_test:
	# Do nothing here at the moment to work around a FTBFS

## warzone2100 3.2.1.1+rb2

=== debian/changelog ===
warzone2100 (3.2.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Games Team <pkg-games-devel@lists.alioth.debian.org>  Fri, 29 Jan 2021 11:17:37 +0800

warzone2100 (3.2.1-3+deb10u1) buster; urgency=medium

  * Team upload.
  * Move the package to salsa.debian.org.
  * Fix segmentation fault upon multiplayer "Start Hosting Game"
  * add include QList list
    Thanks to Phil Morrell for the report and Bernhard Übelacker for the patch.
    (Closes: #930942)

 -- Markus Koschany <apo@debian.org>  Sat, 20 Jul 2019 22:24:55 +0200

warzone2100 (3.2.1-3) unstable; urgency=medium

  * Team upload.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Drop obsolete menu file and xpm icons. Remove imagemagick from B-D.
  * Fix build with miniupnpc API 16.
    Thanks to Peter Michael Green for the patch. (Closes: #889059)

 -- Markus Koschany <apo@debian.org>  Sat, 24 Feb 2018 00:51:59 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,13 @@
 Build-Depends:
  asciidoc,
  automake1.11,
- autotools-dev,
  bison,
- debhelper (>= 10),
- dh-autoreconf,
+ debhelper (>= 11),
  docbook-xml,
  docbook-xsl,
  flex (>= 2.5.33~),
  flex (>= 2.5.35~) | flex (<< 2.5.34~),
  icoutils,
- imagemagick,
  libfontconfig-dev,
  libfreetype6-dev,
  libfribidi-dev,
@@ -42,10 +39,10 @@
  xsltproc,
  xvfb,
  zip
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://www.wz2100.net/
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/warzone2100/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/warzone2100/
+Vcs-Git: https://salsa.debian.org/games-team/warzone2100.git
+Vcs-Browser: https://salsa.debian.org/games-team/warzone2100
 
 Package: warzone2100
 Architecture: any
